module Filterable
  extend ActiveSupport::Concern

  included do
    has_many :subjects, through: :subject_relations, dependent: :destroy
    has_many :subject_relations, as: :subjectable, dependent: :destroy
  end
end
